/*
 * Copyright (C) 2003-2007 eXo Platform SAS.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see<http://www.gnu.org/licenses/>.
 */
package org.exoplatform.services.jcr.ext.audit;

import java.util.Collections;
import java.util.List;

import javax.jcr.Node;

/**
 * Created by The eXo Platform SAS.
 * 
 * @author Gennady Azarenkov
 * @version $Id: $
 */

public class AuditHistory {

  private final Node              auditableNode;

  private final List<AuditRecord> auditRecords;

  public AuditHistory(final Node auditableNode, final List<AuditRecord> auditRecords) {
    this.auditableNode = auditableNode;
    this.auditRecords = auditRecords;
    Collections.sort(auditRecords);
  }

  public Node getAuditableNode() {
    return auditableNode;
  }

  public List<AuditRecord> getAuditRecords() {
    return auditRecords;
  }

}
